package cn.base.debug;

import java.util.ArrayList;

import com.jtiny.telnetserver.TelnetCommand;

public class DebugCmdShow extends TelnetCommand {
	DebugCmdShow(){
		this.command="show";
	}
	public  String commandExecute(ArrayList paraArray){
		for(int i=0;i<paraArray.size();i++){
			String para=(String) paraArray.get(i);
			 if(para.equalsIgnoreCase("other")==true){
				return null;
			}else if(para.equalsIgnoreCase("sendCase")==true){
				return sendSeriousCase();
			}else if(para.equalsIgnoreCase("reData")==true){
				return reGpsData();
			}else if(para.equalsIgnoreCase("sData")==true){
				return showGpsData();
			}
		}
		return "show {other}|{gps}|{sendCase}|{reData--重载Gps数据}|{sData--查询Gps总数}\r\n";
	}

	private String showRecord() {
		String info="***************Show Need Record Channel ***********************\r\n";
		
		return info;
	}

	private String showVer(){
		String info="";
		//String startTime=TimeHelper.getStrDate(MainFrame.versionInfo.getStartDate());
		//String versionInfo=MainFrame.versionInfo.getVersion();
		//info=info+"StartTime:"+startTime +"  version:"+versionInfo;
		return info;
	}
	//发送重大警情
	private String sendSeriousCase(){
		try {
			return "发送成功！";
		} catch (Exception e) {
			e.printStackTrace();
		}
		return "发送失败！";
	}
	//重载警车警员数据
	public String reGpsData(){
		String info="";
		return info;
	}
	//查询警车警员总数
	public String showGpsData(){
		String info="";
		return info;
	}
}
